Create Cross Project Reports
curl --request POST \
--url https://app.specurate.com/api/v1/workspaces/{workspaceId}/cross-project-reports \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"configuration": {
"version": 1,
"projectScope": {
"mode": "fixed",
"projectIds": [
"<string>"
]
},
"filters": {
"search": "<string>",
"categoryIds": [
"<string>"
],
"productIds": [
"<string>"
],
"supplierIds": [
"<string>"
],
"manufacturerIds": [
"<string>"
],
"attributes": [
{
"fieldKey": "<string>",
"values": [
"<string>"
]
}
]
},
"groupBy": [],
"columns": [],
"attributeColumns": [
"<string>"
],
"metrics": [],
"sort": {}
}
}
'import requests
url = "https://app.specurate.com/api/v1/workspaces/{workspaceId}/cross-project-reports"
payload = {
"name": "<string>",
"description": "<string>",
"configuration": {
"version": 1,
"projectScope": {
"mode": "fixed",
"projectIds": ["<string>"]
},
"filters": {
"search": "<string>",
"categoryIds": ["<string>"],
"productIds": ["<string>"],
"supplierIds": ["<string>"],
"manufacturerIds": ["<string>"],
"attributes": [
{
"fieldKey": "<string>",
"values": ["<string>"]
}
]
},
"groupBy": [],
"columns": [],
"attributeColumns": ["<string>"],
"metrics": [],
"sort": {}
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
description: '<string>',
configuration: {
version: 1,
projectScope: {mode: 'fixed', projectIds: ['<string>']},
filters: {
search: '<string>',
categoryIds: ['<string>'],
productIds: ['<string>'],
supplierIds: ['<string>'],
manufacturerIds: ['<string>'],
attributes: [{fieldKey: '<string>', values: ['<string>']}]
},
groupBy: [],
columns: [],
attributeColumns: ['<string>'],
metrics: [],
sort: {}
}
})
};
fetch('https://app.specurate.com/api/v1/workspaces/{workspaceId}/cross-project-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}Cross Project Reports
Create Cross Project Reports
POST
/
v1
/
workspaces
/
{workspaceId}
/
cross-project-reports
Create Cross Project Reports
Path Parameters
Body
application/json
Required string length:
1 - 160Maximum string length:
2000Available options:
specification_overview, product_usage, supplier_coverage, data_completeness Available options:
private, workspace Show child attributes
Show child attributes
Response
201 - application/json
The response is of type object.
⌘I